All of lore.kernel.org
 help / color / mirror / Atom feed
From: aldot at uclibc.org <aldot@uclibc.org>
To: buildroot@busybox.net
Subject: [Buildroot] svn commit: trunk/buildroot/toolchain/dependencies
Date: Fri, 19 Jan 2007 09:11:06 -0800 (PST)	[thread overview]
Message-ID: <20070119171106.928BC48580@busybox.net> (raw)

Author: aldot
Date: 2007-01-19 09:11:05 -0800 (Fri, 19 Jan 2007)
New Revision: 17383

Log:
- add sanity check to make sure that LD_LIBRARY_PATH doesn't contain CWD


Modified:
   trunk/buildroot/toolchain/dependencies/dependencies.sh


Changeset:
Modified: trunk/buildroot/toolchain/dependencies/dependencies.sh
===================================================================
--- trunk/buildroot/toolchain/dependencies/dependencies.sh	2007-01-19 16:23:35 UTC (rev 17382)
+++ trunk/buildroot/toolchain/dependencies/dependencies.sh	2007-01-19 17:11:05 UTC (rev 17383)
@@ -55,6 +55,31 @@
 fi;
 echo "CXXFLAGS clean:					Ok"
 
+echo "WORKS" | grep "WORKS" >/dev/null 2>&1
+if test $? != 0 ; then
+	echo "grep works:				FALSE"
+	exit 1
+fi
+
+# sanity check for CWD in LD_LIBRARY_PATH
+# try not to rely on egrep..
+if test -n "$LD_LIBRARY_PATH" ; then
+	/bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':.:' >/dev/null 2>&1 ||
+	/bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep 'TRiGGER_start:' >/dev/null 2>&1 ||
+	/bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':TRiGGER_end' >/dev/null 2>&1 ||
+	/bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep '::' >/dev/null 2>&1
+	if test $? = 0; then
+		echo "LD_LIBRARY_PATH sane:				FALSE"
+		echo "You seem to have the current working directory in your"
+		echo "LD_LIBRARY_PATH environment variable. This doesn't work."
+		exit 1;
+	else
+		echo "LD_LIBRARY_PATH sane:				Ok"
+	fi
+fi;
+
+
+
 #############################################################
 #
 # check build system 'sed'

             reply	other threads:[~2007-01-19 17:11 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-01-19 17:11 aldot at uclibc.org [this message]
  -- strict thread matches above, loose matches on Subject: below --
2009-01-01 21:20 [Buildroot] svn commit: trunk/buildroot/toolchain/dependencies jacmet at uclibc.org
2008-09-04  2:30 hamish at uclibc.org
2008-06-18 13:11 jacmet at uclibc.org
2007-08-21 20:14 aldot at uclibc.org
2007-08-21 20:12 ` Ulf Samuelsson
2007-08-21 20:25   ` Bernhard Fischer
2007-08-21 20:58     ` Ulf Samuelsson
2007-08-21 23:13       ` Bernhard Fischer
2007-08-22  3:46         ` Ulf Samuelsson
2007-06-26 13:26 aldot at uclibc.org
2007-06-05  7:38 aldot at uclibc.org
2007-05-11 12:50 aldot at uclibc.org
2007-03-21 18:15 aldot at uclibc.org
2007-03-21 10:54 aldot at uclibc.org
2007-03-12  8:55 aldot at uclibc.org
2007-03-08 16:44 aldot at uclibc.org
2007-02-16  9:34 aldot at uclibc.org
2007-02-15 14:30 aldot at uclibc.org
2007-02-15 14:07 aldot at uclibc.org
2007-02-12 10:42 aldot at uclibc.org
2007-02-09 17:28 aldot at uclibc.org
2007-02-09 12:32 aldot at uclibc.org
2007-01-21 22:31 aldot at uclibc.org
2007-01-20 13:06 aldot at uclibc.org
2006-12-13  9:17 aldot at uclibc.org
2006-12-13  7:25 andersen at uclibc.org
2006-12-13  7:21 andersen at uclibc.org
2006-11-29 10:39 aldot at uclibc.org
2006-11-28 10:06 aldot at uclibc.org
2006-07-18 16:54 andersen
2006-07-18 16:42 andersen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20070119171106.928BC48580@busybox.net \
    --to=aldot@uclibc.org \
    --cc=buildroot@busybox.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.